using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Plugin
{

    public class FactoryImpl : PluginShared.Factory
    {
        #region Factory Members

        public System.Windows.Forms.Form CreateForm()
        {
            try
            {
                return new PluginWithTeeChart.FormWithChart();
            }
            catch (Exception e)
            {
                MessageBox.Show("failed to create plugin with error: " + e.ToString());
                return null;
            }
        }

        #endregion
    }
}